# wxMessageOutputStderr Class Reference
[Logging]

`#include </home/work/projects/wx/2.9/wx/interface/wx/msgout.h>`

Inheritance diagram for wxMessageOutputStderr:
[legend]

## Detailed Description

Output messages to stderr or another STDIO file stream.

Implements wxMessageOutput by using stderr or specified file.

##

Library: wxBase
Category: Logging

## Public Member Functions

| wxMessageOutputStderr (FILE *fp=stderr)
| Create a new message output object associated with standard error stream by default.

List of all members.

## Constructor & Destructor Documentation

wxMessageOutputStderr::wxMessageOutputStderr | ( | FILE * | fp = `stderr` | ) |

Create a new message output object associated with standard error stream by default.

Parameters:

  | fp | Non-null STDIO file stream. Notice that this object does not take ownership of this pointer, i.e. the caller is responsible for both ensuring that its life-time is great er than life-time of this object and for deleting it if necessary.

|  | [ top ]